/**
  @file       dialog-theme-custom.css
  @brief      覆寫 jquery-ui.min.css
  @date       2020-06-03: Ys      + 191001009
  @date       2022-01-28: Chiuhua # 220200929, 覆寫 JQ UI Dialog 樣式, 將最外層預設 padding 歸零
  @date       2022-02-07: Chiuhua + 220200929, 新增 歸零樣式 (手動加套將 ui-dialog-content 歸零)
  @date       2022-02-07: Chiuhua # 220200929, 調整 ui-widget-overlay 樣式
  @date       2022-02-09: Chiuhua # 220200929, 修正 滿版窗 樣式 (不必有線條, 圓角及陰影)
  @date       2022-02-09: Chiuhua + 220200929, genlib.ottocity.css 的 jquery 覆寫樣式 移至 dialog-theme-custom.css 統一處理
  @date       2022-02-09: Chiuhua + 220200929, 覆寫 titlebar ui-button 樣式
  @date       2022-02-09: Chiuhua + 220200929, 覆寫 footer ui-dialog-buttonpane 樣式
  @date       2022-02-11: Chiuhua # 220200929, 覆寫 日期窗 樣式
  @date       2022-02-11: Chiuhua # 220200929, 覆寫 品項挑選窗 樣式
  @date       2022-02-11: Chiuhua # 220200929, 覆寫 所有開窗的 footer 樣式, 改為深底淺按鈕
  @date       2022-03-15: Chiuhua # 220301297, 修正 因 jQuery 版本從 1.13 降為 1.12.1 造成的問題
  @date       2022-03-17: Chiuhua - 220301477, 移除 Ys 2020-06-03 的品牌挑選窗樣式 .ui-dialog-custom-cell, 改套共用 .itemlist1
  @date       2022-06-08: Chiuhua # 220300968, 整理 開窗按鈕語法, MAZDA CPO 需求
  @date       2022-06-08: Chiuhua # 220300968, 調整 開窗按鈕第一顆左 gap 與最後一顆右 gap 歸零, MAZDA CPO 需求
  @date       2022-06-08: Chiuhua # 220300968, 整理 ui-datepicker 外框與底色, 將其與相關樣式一起定義, MAZDA CPO 需求
  @date       2022-06-08: Chiuhua # 220300968, 修正 select 下拉箭頭 background-size, MAZDA CPO 需求
  @date       2022-10-05: Ys      # 220900562, 新增 開窗可設定關閉按鈕的顯示
  @date       2025-12-17: Chiuhua # 251205909, 改良 dialog 開窗 (開窗高度, 日期窗及其他)
*/

/* JQ UI Dialog 視窗 */
/* 2022-01-28: Chiuhua # 220200929, 覆寫 JQ UI Dialog 樣式, 將最外層預設 padding 歸零 */
/* 2022-02-07: Chiuhua # 220200929, 調整 ui-widget-overlay 樣式 */
/* 2022-02-09: Chiuhua + 220200929, genlib.ottocity.css 的 jquery 覆寫樣式 移至 dialog-theme-custom.css 統一處理 */
/* 2022-02-09: Chiuhua + 220200929, 覆寫 titlebar ui-button 樣式 */
/* 2022-02-09: Chiuhua + 220200929, 覆寫 footer ui-dialog-buttonpane 樣式 */
/* 2022-02-11: Chiuhua # 220200929, 覆寫 所有開窗的 footer 樣式, 改為深底淺按鈕 */
.ui-dialog, .ui-datepicker {padding:0px;border:2px solid #FFF !important;border-radius:5px;box-shadow:0px 0px 10px 7px hsla(0,0%,0%,0.75);overflow:hidden;}

/* ui-widget-overlay */
.ui-widget-overlay {background:hsla(0,0%,0%,0.5);opacity:1;}

/* 開窗共用 - 區塊尺寸 */
.ui-dialog .ui-dialog-titlebar, .ui-dialog .ui-dialog-buttonpane {height:40px;padding:0px 10px;border:none;border-radius:0px;}

/* 開窗共用 - 底色 */
/* 2022-03-15: Chiuhua # 220301297, 修正 開窗標題多出的背景圖 (因 jQuery 版本從 1.13 降為 1.12.1 造成的問題) */
.ui-widget-header, .ui-dialog .ui-dialog-buttonpane, .ui-datepicker .ui-datepicker-header, .ui-datepicker .ui-datepicker-buttonpane {background-color:#000;color:#FFF;}
.ui-widget-content {background-color:hsl(0,0%,80%);}
.ui-widget-header {background-image:none;}

/* 開窗共用 - 按鈕 */
/* 2022-03-15: Chiuhua # 220301297, 修正 日期窗底部按鈕位置 (因 jQuery 版本從 1.13 降為 1.12.1 造成的問題) */
/* 2022-06-08: Chiuhua # 220300968, 整理 開窗按鈕語法, MAZDA CPO 需求 */
/* 2022-06-08: Chiuhua # 220300968, 調整 開窗按鈕第一顆左 gap 與最後一顆右 gap 歸零, MAZDA CPO 需求 */
.ui-dialog .ui-dialog-buttonpane > *, .ui-datepicker .ui-datepicker-buttonpane {width:100%;height:100%;display:inline-flex;margin:auto;align-items:center;justify-content:center;font-weight:inherit;}
.ui-dialog .ui-dialog-buttonpane button, .ui-datepicker .ui-datepicker-buttonpane button {float:none;border:none;border-radius:2em;margin:auto 0.25em;padding:0px 1em;line-height:1.5em;white-space:nowrap;background:hsl(0,0%,85%);color:#000;font-weight:normal;box-shadow:0px 0.8rem 0.8rem hsla(0,0%,100%,0.7) inset,0px -0.8rem 0.8rem hsla(0,0%,0%,0.2) inset,0px 0px 2px hsla(0,0%,0%,0.75),0px -1px 2px #FFF inset;cursor:pointer;}
.ui-dialog .ui-dialog-buttonpane button:nth-child(1), .ui-datepicker .ui-datepicker-buttonpane button:nth-child(1) {margin-left:0px;}
.ui-dialog .ui-dialog-buttonpane button:nth-last-child(1), .ui-datepicker .ui-datepicker-buttonpane button:nth-last-child(1) {margin-right:0px;}

/* ui-dialog-titlebar */
/* 2022-03-15: Chiuhua # 220301297, 修正 開窗標題 close 按鈕位置 (因 jQuery 版本從 1.13 降為 1.12.1 造成的問題) */
.ui-dialog .ui-dialog-titlebar {display:flex;align-items:center;border-bottom:2px solid #FFF;font-weight:bold;}
.ui-dialog .ui-dialog-titlebar > * {font-weight:inherit;}
.ui-dialog .ui-dialog-titlebar .ui-dialog-title {width:calc(100% - 26px);}
.ui-dialog .ui-dialog-titlebar .ui-button {width:26px;height:26px;padding:0px;background:transparent no-repeat center center / 50% auto;border:2px solid #FFF;border-radius:50%;}
.ui-dialog .ui-dialog-titlebar .ui-button > *[class*="ui-button"] {display:none;}
.ui-dialog .ui-dialog-titlebar .ui-dialog-titlebar-close {background-image:url(../image/delete_w_L.png);top:0px;bottom:0px;right:10px;margin:auto;}

/* 2022-10-05: Ys # 220900562, 新增 開窗可設定關閉按鈕的顯示 */
.no-close .ui-dialog-titlebar-close {display:none;}

/* ui-dialog-content */
/* 2025-12-17: Chiuhua # 251205909, 改良 dialog 開窗 (開窗高度, 日期窗及其他) */
/* Tips: min-height, max-height 加 !important 以 fixed 系統部用 js 動態加入行內樣式 */
.ui-dialog .ui-dialog-content {display:inline-block;vertical-align:top;width:100%;min-width:100%;min-height:8em !important;max-height:70vh !important;padding:10px;text-align:center;}
/* 歸零樣式 (手動加套將 ui-dialog-content 歸零, 2022-02-07: Chiuhua +) */
.ui-dialog .ui-dialog-content.ui-dialog-content-p0 {padding:0px;}
.ui-dialog .ui-dialog-content mark {padding:0px 0.25em;font-weight:bold;color:hsl(0,100%,40%);background:none;}
.ui-dialog .ui-dialog-content code {position:absolute;bottom:0px;right:5px;line-height:1.5em;}

/* footer ui-dialog-buttonpane */
/* 2022-03-15: Chiuhua # 220301297, 修正 車型窗底部按鈕位置 (因 jQuery 版本從 1.13 降為 1.12.1 造成的問題) */
.ui-dialog .ui-dialog-buttonpane {text-align:center;margin:0px;border-top:2px solid #FFF;}
.ui-dialog .ui-dialog-buttonpane .ui-dialog-buttonset {float:none;}

/* 日期窗, 2020-06-03: Ys + */
/* 2022-02-11: Chiuhua # 220200929, 覆寫 日期窗 樣式 */
/* 2022-06-08: Chiuhua # 220300968, 整理 ui-datepicker 外框與底色, 將其與相關樣式一起定義, MAZDA CPO 需求 */
/* 2022-06-08: Chiuhua # 220300968, 修正 select 下拉箭頭 background-size, MAZDA CPO 需求 */
/* 2025-12-17: Chiuhua # 251205909, 改良 dialog 開窗 (開窗高度, 日期窗及其他) */
.ui-datepicker {box-shadow:0px 0px 5px 3px hsla(0,0%,0%,0.5);}
.ui-datepicker .ui-datepicker-header {padding:0px;border:0px;border-radius:0px;}
.ui-datepicker .ui-datepicker-title {margin:10px;margin-bottom:0px;padding:5px;border-radius:3px;background-color:#FFF;color:#000;white-space:nowrap;}
.ui-datepicker .ui-datepicker-title select {width:4.5em !important;margin:0px !important;direction:rtl;padding-right:2.2em !important;background-image:url(../image/dropdown_b.svg) !important;background-size:0.6rem !important;background-position:right 0.5em top 53% !important;}
.ui-datepicker .ui-datepicker-title select * {color:#000;}
.ui-datepicker .ui-datepicker-buttonpane {text-align:center;padding:10px;margin:0px;border:0px;}

/* 滿版窗, 2020-06-03: Ys + */
/* 2022-02-09: Chiuhua # 220200929, 修正 滿版窗 樣式 (不必有線條, 圓角及陰影) */
.ui-dialog.ui-dialog-custom-fullscreen {border:0px !important;border-radius:0px;box-shadow:none;}

/* 警告窗, 2020-06-03: Ys + */
.ui-dialog-custom-alert {}

/* 錯誤窗, 2020-06-03: Ys + */
.ui-dialog-custom-warn {min-width:350px;}
.ui-dialog-custom-warn .ui-dialog-content {padding:1em;}